- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# mongodb – Use MongoDB for caching

New in version 2.5.

- Synopsis
- Requirements
- Parameters
- Status

## Synopsis

- This cache uses per host records saved in MongoDB.

## Requirements

The below requirements are needed on the local master node that executes this cache.

- pymongo>=3

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
_prefix - | Default: "ansible_facts" | ini entries: [defaults] fact_caching_prefix = ansible_facts env:ANSIBLE_CACHE_PLUGIN_PREFIX | User defined prefix to use when creating the DB entries
_timeout integer | Default: 86400 | ini entries: [defaults] fact_caching_timeout = 86400 env:ANSIBLE_CACHE_PLUGIN_TIMEOUT | Expiration timeout in seconds for the cache plugin data
_uri - |  | ini entries: [defaults] fact_caching_connection = VALUE env:ANSIBLE_CACHE_PLUGIN_CONNECTION | MongoDB Connection String URI

## Status

- This cache is not guaranteed to have a backwards compatible interface. [preview]
- This cache is maintained by the Ansible Community. [community]

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.